//
// Created by illyum on 8/15/2024.
//

#ifndef UI_H
#define UI_H


#include "raylib.h"


struct Button {
    Rectangle bounds;
    const char* text;
    Color color;
    Color hoverColor;
    Color textColor;
    bool isHovered;
    bool isClicked;

    void Draw();
    void Update();
};

struct Slider {
    Rectangle bounds;
    float value;
    float minValue;
    float maxValue;
    Color color;
    Color knobColor;

    void Draw();
    void Update();
};

float Clamp(float value, float min, float max);

#endif //UI_H
